Subject: Urban Psilocybes

From: [email-masked] (Jim Berlstein)
Date: 27 Jan 1995 19:50:47 GMT

Greetings!

I gave a slideshow/talk at the Breitenbush Mushroom Conference in Oregon 
this past October on the "Urban Psilocybes of Portland and Seattle"

I would be eager to give this presentation to any groups who feel like 
flying me around and giving me money.  

Jim

---

From: [email-masked] (MYCOCHEF)
Date: 29 Jan 1995 12:12:00 -0500

hello, try calling Larry Stickney  at  51O.465.7963.  he is big in the
myco. society of San Francisco.  p.s. i cooked a mushroom meal at the home
of Jim Trappe just after the Breitenbush event.  Eric Danell, David Arora,
and a lot more were there to spread tales and gobble good food.
bye